Summary:	Programs to control tape device operations
Summary(de.UTF-8):	Programme zum Kontrollieren von Streamern
Summary(es.UTF-8):	Controla la operación de drivers de cinta magnética (mt)
Summary(fr.UTF-8):	Contrôle les opérations du lecteur de bandes magnétiques (mt)
Summary(pl.UTF-8):	Program do kontroli napędów taśmowych
Summary(pt_BR.UTF-8):	Controla a operação de drivers de fita magnética (mt)
Summary(ru.UTF-8):	Программы управления работой накопителей на магнитной ленте (mt)
Summary(tr.UTF-8):	Manyetik teyp sürücüsünün işlevsel kontrolü (mt)
Summary(uk.UTF-8):	Програми управління роботою накопичувачів на магнітній стрічці (mt)
Name:		mt-st
Version:	1.3
Release:	1
License:	GPL v2
Group:		Applications/System
#Source0Download: https://github.com/iustin/mt-st/releases
Source0:	https://github.com/iustin/mt-st/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	3b1455b194d7048436046d47d1e7362d
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	c2a75e15c360e4c8b2ef350cd6c2c45e
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-errno.h.patch
Patch2:		%{name}-remove-unused-code.patch
URL:		https://github.com/iustin/mt-st
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_bindir		/bin
%define		_sbindir	/sbin

%description
The mt-st package contains tape drive management programs, which can
control rewinding, ejecting, skipping files and blocks and more.

%description -l de.UTF-8
Das mt-st-Paket enthält die mt und st Streamer-Management-Programme.
mt (für Magnetbandlaufwerke) und st (für SCSI-Streamer) können
Rückspulen, auswerfen, Dateien und blocks auslassen, und mehr.

%description -l es.UTF-8
El programa mt puede ser usado para desarrollar varias operaciones en
cintas, incluyendo retroceder, expulsar, saltar archivos y bloques,
etc.

%description -l fr.UTF-8
Le programme mt peut servir à réaliser de nombreuses opérations sur
les bandes, comme le rembobinage, l'éjection, le saut de fichiers et
de blocs, etc.

%description -l pl.UTF-8
Pakiet mt-st zawiera programy służące do kontroli napędów taśmowych i
umożliwiające przewijanie, przesuwanie taśmy i wyjmowanie z napędu
kaset z taśmą.

%description -l pt_BR.UTF-8
O programa mt pode ser usado para desenvolver várias operações em
fitas, incluindo retroceder, ejetar, pular arquivos e blocos, etc.

%description -l ru.UTF-8
Пакет mt-st содержит программы управления лентами mt и st. Они могут
управлять перемоткой, выталкиванием ленты, пропуском файлов и блоков и
т.п.

%description -l tr.UTF-8
mt programı teypler üzerinde rewind, eject, dosya, blok atlaması gibi
birçok işlemin gerçekleştirilmesinde kullanılabilir.

%description -l uk.UTF-8
Пакет mt-st містить програми управління стрічками mt та st. Вони
можуть управляти перемоткою, виштовхуванням стрічки, пропуском файлів
та блоків та інше.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md README.md
%config(noreplace) %{_sysconfdir}/stinit.def
%attr(755,root,root) %{_bindir}/mt
%attr(755,root,root) %{_sbindir}/stinit
%{_mandir}/man1/mt.1*
%lang(es) %{_mandir}/es/man1/mt.1*
%lang(ja) %{_mandir}/ja/man1/mt.1*
%lang(pl) %{_mandir}/pl/man1/mt.1*
%{_mandir}/man8/stinit.8*
%changelog
* Tue Aug 25 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mt-st.git;a=log;h=master

* Tue Aug 25 2020 Jakub Bogusz <qboosh@pld-linux.org> 83aed87
- new URLs, updated to 1.3
- updated DESTDIR,remove-unused-code patches
- License is GPL v2

* Wed Mar 28 2018 Jan Rękorajski <baggins@pld-linux.org> 55e8f84
- rebuild for x32
- release 2 (by relup.sh)

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> d8d1200
- dropped pre-cvs changelog

* Fri Jun 20 2008 Adam Gołębiowski <adamg@pld-linux.org> b26d21e
- updated to 1.1

* Fri May 18 2007 sparky <sparky@pld-linux.org> c4eeed1
- added remove-unused-code patch to fix build with recent llh

* Fri May 18 2007 sparky <sparky@pld-linux.org> 81423e8
- remove unused code from mtio.h - it required qic117.h which is no longer
  available in llh

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> a5e011e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 6507752
- converted to UTF-8

* Mon Jan 16 2006 hawk <hawk@pld-linux.org> 8c0881c
- updated to 0.9b

* Sat Jun 18 2005 areq <areq@pld-linux.org> 40a3e94
- 0.9

* Wed May 18 2005 Jakub Bogusz <qboosh@pld-linux.org> 795c566
- reformatted descs (tw=70)

* Thu Sep 02 2004 snurf <snurf@pld-linux.org> d36cd82
- typos / formatting / etc.

* Sat Apr 24 2004 undefine <undefine@pld-linux.org> 2045257
- update to 0.8

* Sat Dec 06 2003 undefine <undefine@pld-linux.org> 859ab1d
- release 3 to rebuild with ac

* Wed Aug 20 2003 Jakub Bogusz <qboosh@pld-linux.org> 1838ebe
- no // in paths, other cosmetics

* Mon Jun 02 2003 ankry <ankry@pld-linux.org> fb2b329
- added/changed non-english-man-pages URL

* Wed May 28 2003 Michal Moskal <michal@moskal.me> fc71a7f
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 4124194
- massive attack s/pld.org.pl/pld-linux.org/

* Wed Mar 26 2003 Tomek Orzechowski <orzech@pld-linux.org> 0787e03
- fixed en & pl descriptions (less misleading, similar to fr ones)
- adapterized

* Wed Nov 27 2002 juandon <witekfl@pld-linux.org> 8733629
- new %%doc

